package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * department
 * @author
 */
public class Department implements Serializable {
    /**
     * 组织ID
     */
    private String id;

    /**
     * 创建人
     */
    private String createId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除标识
     */
    private Integer deletedSign;

    /**
     * 组织名称
     */
    private String name;

    /**
     * 组织类型
     */
    private String type;

    /**
     * 组织负责人ID
     */
    private String managerId;

    /**
     * 组织编号
     */
    private String depNo;

    /**
     * 上级组织
     */
    private String superId;

    /**
     * 组织职能说明
     */
    private String remarks;

    /**
     * 组织状态
     */
    private String status;

    /**
     * 缩写
     */
    private String abbreviation;

    /**
     * 财务id(指定跳转的财务)
     */
    private String financeId;

    /**
     * 所在省份
     */
    private Integer province;

    /**
     * 工作时间
     */
    private Integer workingHoursType;

    /**
     * 隐藏 0否 1是
     */
    private Integer hideSign;

    /**
     * 层级
     */
    private Integer lvl;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeletedSign() {
        return deletedSign;
    }

    public void setDeletedSign(Integer deletedSign) {
        this.deletedSign = deletedSign;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getDepNo() {
        return depNo;
    }

    public void setDepNo(String depNo) {
        this.depNo = depNo;
    }

    public String getSuperId() {
        return superId;
    }

    public void setSuperId(String superId) {
        this.superId = superId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getWorkingHoursType() {
        return workingHoursType;
    }

    public void setWorkingHoursType(Integer workingHoursType) {
        this.workingHoursType = workingHoursType;
    }

    public Integer getHideSign() {
        return hideSign;
    }

    public void setHideSign(Integer hideSign) {
        this.hideSign = hideSign;
    }

    public Integer getLvl() {
        return lvl;
    }

    public void setLvl(Integer lvl) {
        this.lvl = lvl;
    }

    public Department() {}
    public Department(String id) {
        this.id = id;
    }


}
